Package org.bukkit.projectiles

# Interface BlockProjectileSource

All Superinterfaces:
  `ProjectileSource`

public interface BlockProjectileSource extends ProjectileSource

## Method Summary

Modifier and Type
Method
Description
`@NotNull Block`
`getBlock()`
Gets the block this projectile source belongs to.

### Methods inherited from interface org.bukkit.projectiles.ProjectileSource

`launchProjectile, launchProjectile, launchProjectile`

## Method Details

### getBlock

@NotNull @NotNull Block getBlock()
Gets the block this projectile source belongs to.

Returns:
  Block for the projectile source